'use strict';

var Joi = require('joi');

function validator(schema) {
  function validate(value) {
    var result = Joi.validate(value, schema);
    if (result.error) {
      throw result.error;
    }

    return value;
  }

  return validate;
}

module.exports = validator;